Package org.apache.calcite.avatica

# Class MetaImpl.MetaCatalog

java.lang.Object
org.apache.calcite.avatica.MetaImpl.MetaCatalog

All Implemented Interfaces:
  `MetaImpl.Named`

Enclosing class:
  MetaImpl

public static class MetaImpl.MetaCatalog extends Object implements MetaImpl.Named
Metadata describing a catalog.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`tableCat`

## Constructor Summary

Constructors
Constructor
Description
`MetaCatalog(String tableCatalog)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tableCat

public final String tableCat

## Constructor Details

### MetaCatalog

public MetaCatalog(String tableCatalog)

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `MetaImpl.Named`